###########################################################
############一時ファイル全消し君############################
##########################################################

import os

file_extensions = [".log", ".out", ".aux", ".pdf", ".gz", ".lof", ".toc", ".lot"]  # 削除したい拡張子をリストとして指定
directory_path = "thesis"  # ディレクトリの絶対パスを指定

# ディレクトリが存在するか確認
if os.path.exists(directory_path):
    # 指定されたディレクトリ内のファイルを取得し、指定された拡張子を持つファイルを削除
    for root, dirs, files in os.walk(directory_path):
        for file in files:
            if any(file.endswith(ext) for ext in file_extensions):
                file_path = os.path.join(root, file)
                os.remove(file_path)
                print(f"{file} を削除しました。")
else:
    print(f"ディレクトリ {directory_path} が存在しません。")